Skip to main content

How to access File Manager API

You can use either of the two ways below to get access to the File Manager API:

  • apply the init handler function with the api object as a parameter
  • use a React ref to store the api object

Apply the init handler

You can access File Manager API using the init handler function that takes api as the parameter.

The example below shows how to apply the init function to output to the console the renamed file id and its new name.

import { getData, getDrive } from "./common/data";
import { Filemanager } from "../src/";

const init = (api) => {
api.on("rename-file", ({ id, name }) => {
console.log(`${id} was renamed to ${name}`);
});
}

<Filemanager data={getData()} drive={getDrive()} init={init} />

Use a ref to access the api

You can access File Manager API via the api gateway object by using a React ref. The component exposes the api object through a ref

In the example below we get access to the File Manager api via a ref and when the Preview panel is closed/opened (the onShowPreview action is triggered) we clear the filter by triggering the filter-files action using the api.exec() method:

import { useRef } from "react";
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";

function Example() {
const apiRef = useRef(null);

function clearSearch() {
apiRef.current.exec("filter-files", {
text: "",
});
}

return (
<Filemanager
data={getData()}
drive={getDrive()}
ref={apiRef}
onShowPreview={clearSearch}
/>
);
}

api methods

See each method description in the next sections.

How to access File Manager API
You can use either of the two ways below to get access to the File Manager API:
- apply the init handler function with the api object as a parameter
- apply the
refattribute to store the api object in a variable
Apply the init handler
You can access File Manager API using the init handler function that takes api as the parameter.
The example below shows how to apply the init function to output to the console the renamed file id and its new name.
<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "../src/";
const init = (api) => {
api.on("rename-file", ({ id, name }) => {
console.log(`${id} was renamed to ${name}`);
});
}
</script>
<template>
<Filemanager :data="getData()" :drive="getDrive()" :init="init" />
</template>
Bind to api
You can access File Manager API via the api gateway object. You should use the ref attribute to access the api object.
In the example below we get access to the File Manager api via ref and when the Preview panel is closed/opened (show-preview action is triggered) we clear the filter by triggering the filter-files action using the api.exec() method:
<script setup>
import { ref } from "vue";
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";
const api = ref(null);
function clearSearch() {
api.value.exec("filter-files", {
text: "",
});
}
</script>
<template>
<Filemanager
:data="getData()"
:drive="getDrive()"
ref="api"
:onshowpreview="clearSearch" />
</template>
api methods
api.detach()api.exec()api.getFileapi.intercept()api.getReactiveState()api.getState()api.getStores()api.setNext()api.serialize()
See each method description in the next sections.

How to access File Manager API
You can use either of the two ways below to get access to the File Manager API:
- apply the init handler function with the api object as a parameter
- apply the
bind:thisconstruct to store the api object in a variable (please, refer to bind)
Apply the init handler
You can access File Manager API using the init handler function that takes api as the parameter.
The example below shows how to apply the init function to output to the console the renamed file id and its new name.
<script>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "../src/";
const init = (api) => {
api.on("rename-file", ({ id, name }) => {
console.log(`${id} was renamed to ${name}`);
});
}
</script>
<Filemanager data={getData()} drive={getDrive()} {init} />
Bind to api
You can access File Manager API via the api gateway object. You should use the bind:this construct to access the api object.
In the example below we get access to the File Manager api via bind:this and when the Preview panel is closed/opened (show-preview action is triggered) we clear the filter by triggering the filter-files action using the api.exec() method:
<script>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/svelte-filemanager";
let api;
function clearSearch() {
api.exec("filter-files", {
text: "",
});
}
</script>
<Filemanager
data={getData()}
drive={getDrive()}
bind:this={api}
onshowpreview={clearSearch} />
api methods
api.detach()api.exec()api.getFileapi.intercept()api.getReactiveState()api.getState()api.getStores()api.setNext()api.serialize()
See each method description in the next sections.